Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.mail
Class FetchProfile.Item

    java.lang.Object
      |
      +--javax.mail.FetchProfile.Item

Direct Known Subclasses:
  IMAPFolder.FetchProfileItem, UIDFolder.FetchProfileItem

Enclosing class:
  FetchProfile

public static class FetchProfile.Item
extends java.lang.Object

This inner class is the base class of all items that can be requested in a FetchProfile. The items currently defined here are `ENVELOPE`, `CONTENT_INFO` and `FLAGS`. The `UIDFolder` interface defines the `UID` Item as well.

Note that this class only has a protected constructor, therby restricting new Item types to either this class or subclasses. This effectively implements a enumeration of allowed Item types.

See Also:
  `UIDFolder`

Field Summary
`static FetchProfile.Item` | `CONTENT_INFO` This item is for fetching information about the content of the message.
`static FetchProfile.Item` | `ENVELOPE` This is the Envelope item.
`static FetchProfile.Item` | `FLAGS` This is the Flags item.

Constructor Summary
`protected` | `FetchProfile.Item(java.lang.String name)` Constructor for an item.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ENVELOPE

    public static final FetchProfile.Item ENVELOPE

  This is the Envelope item.

  The Envelope is an aggregration of the common attributes of a Message. Implementations should include the following attributes: From, To, Cc, Bcc, ReplyTo, Subject and Date. More items may be included as well.

  For implementations of the IMAP4 protocol (RFC 2060), the Envelope should include the ENVELOPE data item. More items may be included too.

### CONTENT_INFO

    public static final FetchProfile.Item CONTENT_INFO

  This item is for fetching information about the content of the message.

  This includes all the attributes that describe the content of the message. Implementations should include the following attributes: ContentType, ContentDisposition, ContentDescription, Size and LineCount. Other items may be included as well.

### FLAGS

    public static final FetchProfile.Item FLAGS

  This is the Flags item.

Constructor Detail

### FetchProfile.Item

    protected FetchProfile.Item(java.lang.String name)

  Constructor for an item. The name is used only for debugging.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD